# TransactionService | CICADA
Documentation for CICADA

### Hierarchy

- TransactionService

## Index

### Constructors

- constructor

### Properties

- registry
- transactionList
- transactions
- transactionsSubject
- userInfo
- web3

### Methods

- addTransaction
- getAccountInfo
- getAddressTransactions
- getAllTransactions
- init
- resetTransactionsList
- setConversion
- setTransaction
- transferRequest

## Constructors

### constructor

- new TransactionService(httpClient: HttpClient, authService: AuthService, userService: UserService, loggingService: LoggingService ): TransactionService

- - Defined in src/app/_services/transaction.service.ts:33

  #### Parameters

  - ##### httpClient: HttpClient

  - ##### authService: AuthService

  - ##### userService: UserService

  - ##### loggingService: LoggingService

  #### Returns TransactionService

## Properties

### registry

registry: CICRegistry

- Defined in src/app/_services/transaction.service.ts:33

### Private transactionList

transactionList: BehaviorSubject<any[]> = ...

- Defined in src/app/_services/transaction.service.ts:29

### transactions

transactions: any[] = []

- Defined in src/app/_services/transaction.service.ts:28

### transactionsSubject

transactionsSubject: Observable<any[]> = ...

- Defined in src/app/_services/transaction.service.ts:30

### userInfo

userInfo: any

- Defined in src/app/_services/transaction.service.ts:31

### web3

web3: default

- Defined in src/app/_services/transaction.service.ts:32

## Methods

### addTransaction

- addTransaction(transaction: any, cacheSize: number): void

- - Defined in src/app/_services/transaction.service.ts:143

  #### Parameters

  - ##### transaction: any

  - ##### cacheSize: number

  #### Returns void

### getAccountInfo

- getAccountInfo(account: string, cacheSize?: number): any

- - Defined in src/app/_services/transaction.service.ts:163

  #### Parameters

  - ##### account: string

  - ##### cacheSize: number = 100

  #### Returns any

### getAddressTransactions

- getAddressTransactions(address: string, offset: number, limit: number): Observable<any>

- - Defined in src/app/_services/transaction.service.ts:54

  #### Parameters

  - ##### address: string

  - ##### offset: number

  - ##### limit: number

  #### Returns Observable<any>

### getAllTransactions

- getAllTransactions(offset: number, limit: number): Observable<any>

- - Defined in src/app/_services/transaction.service.ts:50

  #### Parameters

  - ##### offset: number

  - ##### limit: number

  #### Returns Observable<any>

### init

- init(): Promise<void>

- - Defined in src/app/_services/transaction.service.ts:44

  #### Returns Promise<void>

### resetTransactionsList

- resetTransactionsList(): void

- - Defined in src/app/_services/transaction.service.ts:158

  #### Returns void

### setConversion

- setConversion(conversion: any, cacheSize: any): Promise<void>

- - Defined in src/app/_services/transaction.service.ts:110

  #### Parameters

  - ##### conversion: any

  - ##### cacheSize: any

  #### Returns Promise<void>

### setTransaction

- setTransaction(transaction: any, cacheSize: number): Promise<void>

- - Defined in src/app/_services/transaction.service.ts:58

  #### Parameters

  - ##### transaction: any

  - ##### cacheSize: number

  #### Returns Promise<void>

### transferRequest

- transferRequest(tokenAddress: string, senderAddress: string, recipientAddress: string, value: number): Promise<any>

- - Defined in src/app/_services/transaction.service.ts:170

  #### Parameters

  - ##### tokenAddress: string

  - ##### senderAddress: string

  - ##### recipientAddress: string

  - ##### value: number

  #### Returns Promise<any>

Generated using TypeDoc